#include "SharedINA.h"

static Beastdevices_INA3221 C_SharedINA::ina3221(INA3221_ADDR40_GND);
bool C_SharedINA::initialized = false;

void C_SharedINA::INA_Init() {
    if (!initialized) {
        ina3221.begin();
        ina3221.reset();

        // Set shunt resistors to 10 mOhm for all channels
        ina3221.setShuntRes(10, 10, 10);
        initialized = true;
    }
}